import request from '@/utils/request'

// 查询物料信息列表
export function listMaterialInfo(query) {
  return request({
    url: '/base/materialInfo/list',
    method: 'get',
    params: query
  })
}

// 查询物料信息详细
export function getMaterialInfo(objId) {
  return request({
    url: '/base/materialInfo/' + objId,
    method: 'get'
  })
}

// 新增物料信息
export function addMaterialInfo(data) {
  return request({
    url: '/base/materialInfo',
    method: 'post',
    data: data
  })
}

// 修改物料信息
export function updateMaterialInfo(data) {
  return request({
    url: '/base/materialInfo',
    method: 'put',
    data: data
  })
}

// 删除物料信息
export function delMaterialInfo(objId) {
  return request({
    url: '/base/materialInfo/' + objId,
    method: 'delete'
  })
}
